package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class TestEnum {
    Educator educator = Educator.Kris;
    Student student = new Student(0L);
    Student student2 = new Student(2L);
    Student[] students = new Student[]{student,student2};
    @Test
    public void testImplementation(){
        Assert.assertTrue(educator instanceof Teacher);
    }

    @Test
    public void testTeach(){
        educator.teach(student,5);

        double expected = 5;
        double actual = student.getTotalStudyTime();

        Assert.assertEquals(expected,actual,0);
    }

    @Test
    public void testLecture(){
        educator.lecture(students,5);

        double expected = student.getTotalStudyTime();
        double actual = 2.5;

        Assert.assertEquals(expected,actual,0);
    }
}
