package io.zipcoder.interfaces;

import java.util.ArrayList;

public abstract class People<E> {
    ArrayList<E> people= new ArrayList<E>();
    public void add(E person) {
        people.add(person);
    }
    public void remove(Person person) {
        people.remove(person);
    }

    public abstract ArrayList<E> getPersonList();

    public E findById(long id) {
        E answer = null;
        for (E person: people) {
            if(person instanceof Person) {
                Person disGuy = (Person) person;
                if (disGuy.getId() == id) {
                    answer = (E)disGuy;
                }
            }
        }
        return answer;
    }

    public void remove(Long id) {
        people.remove(findById(id));
    }

    public int getCount(){
        return people.size();
    }

    public void removeAll(){
        people.clear();
    }
}
