package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class TestInstructor {
    Instructor instructor = new Instructor(1L);
    Student student = new Student(0L);
    Student student2 = new Student(2L);
    Student[] students = new Student[]{student,student2};
    @Test
    public void testImplementation(){
        Assert.assertTrue(instructor instanceof Teacher);
    }

    @Test
    public void testInheritance(){
        Assert.assertTrue(instructor instanceof Person);
    }

    @Test
    public void testTeach(){
        instructor.teach(student,5);

        double expected = student.getTotalStudyTime();
        double actual = 5;

        Assert.assertEquals(expected,actual,0);
    }

    @Test
    public void testLecture(){
        instructor.lecture(students,5);

        double expected = student.getTotalStudyTime();
        double actual = 2.5;

        Assert.assertEquals(expected,actual,0);
    }
}
