package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class TestZipCodeWilmington {

    @Test
    public void testHostLecture(){
        //given
        Instructor kris = new Instructor(5L);
        ZipCodeWilmington.getInstance().hostLecture(kris,38);
        Student student = Students.getInstance().getPersonList().get(0);
        double expected = 1.00;
        double actual = student.getTotalStudyTime();

        Assert.assertEquals(expected,actual,0);
    }

    @Test
    public void testHostLectureWithEducator(){
        //given
        Educator kris = Educator.Kris;
        ZipCodeWilmington.getInstance().hostLecture(kris,38);
        Student student = Students.getInstance().getPersonList().get(0);
        double expected = 1.00;
        double actual = student.getTotalStudyTime();

        Assert.assertEquals(expected,actual,0);
    }
}
